Summary: An interactive Python tool for querying accessibility information
Name: accerciser
Version: 1.8.0
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: BSD
BuildRoot: %{_builddir}/%{name}-%{version}-rpmroot
Group: Accessibility
Url: http://live.gnome.org/Accerciser

BuildArch: noarch

BuildRequires: intltool
BuildRequires: gnome-doc-utils
Requires: gnome-python-gconf >= 2.12
Requires: gnome-python-desktop >= 2.14
Requires: pygtk2.0 >= 2.8
Requires: pygtk2.0-libglade >= 2.8
Requires: pyorbit >= 2.14
Requires: gnome-python >= 2.12
Requires: gnome-python-bonobo >= 2.12
Requires: gnome-python-gtksourceview >= 2.12
Requires: python-at-spi >= 1.23.6
Requires: ipython
Obsoletes: at-poke <= 0.2.3
Provides: at-poke

%description
An interactive Python accessibility explorer.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --sysconfdir=%_sysconfdir --disable-scrollkeeper --without-pyreqs
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%define gconf_schemas accerciser

%post
%post_install_gconf_schemas %gconf_schemas
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %gconf_schemas

%postun
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS 
%{_sysconfdir}/gconf/schemas/accerciser.schemas
%{_bindir}/accerciser
%{py_puresitedir}/accerciser
%{_datadir}/omf/accerciser/*
%{_datadir}/accerciser/*
%{_datadir}/icons/hicolor/*/apps/accerciser.*
%{_datadir}/applications/accerciser.desktop
%{_mandir}/man1/*


%changelog
* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2010.0
+ Revision: 447013
- update to new version 1.8.0

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 1.7.91-1mdv2010.0
+ Revision: 420750
- update to new version 1.7.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 1.7.90-1mdv2010.0
+ Revision: 415137
- update to new version 1.7.90

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2010.0
+ Revision: 395480
- update to new version 1.7.4

* Sun May 24 2009 Götz Waschk <waschk@mandriva.org> 1.7.2-1mdv2010.0
+ Revision: 379321
- update to new version 1.7.2

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 1.7.1-1mdv2010.0
+ Revision: 374177
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2009.1
+ Revision: 366957
- update to new version 1.6.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 355696
- update to new version 1.6.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 1.5.91-1mdv2009.1
+ Revision: 341391
- update to new version 1.5.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 1.5.9-1mdv2009.1
+ Revision: 336677
- update to new version 1.5.9

* Sun Jan 18 2009 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2009.1
+ Revision: 330918
- update to new version 1.5.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdv2009.1
+ Revision: 325238
- update to new version 1.5.4

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 1.5.2-2mdv2009.1
+ Revision: 324136
- rebuild

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 1.5.2-1mdv2009.1
+ Revision: 309035
- new version
- fix source URL

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 286939
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1.3.92-1mdv2009.0
+ Revision: 282797
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 1.3.91-1mdv2009.0
+ Revision: 278668
- new version

* Fri Aug 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-3mdv2009.0
+ Revision: 275195
- Fix error in python-at-spi version

* Fri Aug 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-2mdv2009.0
+ Revision: 275140
- Add missing dependency on gnome-python-gtksourceview
- Remove redundant dependency on at-spi

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 1.3.6-1mdv2009.0
+ Revision: 263530
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.3.5-1mdv2009.0
+ Revision: 239314
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 1.3.4-2mdv2009.0
+ Revision: 231020
- new version

* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-2mdv2009.0
+ Revision: 226109
- rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 183713
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 1.1.92-1mdv2008.1
+ Revision: 175273
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.91-1mdv2008.1
+ Revision: 165040
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 1.1.90-1mdv2008.1
+ Revision: 159467
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 1.1.5-1mdv2008.1
+ Revision: 151891
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2008.1
+ Revision: 115214
- new version

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2008.1
+ Revision: 108694
- new version

* Mon Nov 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-2mdv2008.1
+ Revision: 106220
- rebuild for lzma permissions issue (#35309)

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2008.1
+ Revision: 103514
- new version

* Sat Oct 13 2007 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 97934
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 88956
- new version

* Wed Sep 05 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.92-1mdv2008.0
+ Revision: 80051
- Release 0.1.92

* Fri Aug 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.6-1mdv2008.0
+ Revision: 61038
- Patch0 (SVN): fix type error in API browser
- Import accerciser

